export interface BaseResponse {
	statusCode: number;
}

export interface SuccessResponse extends BaseResponse {
	statusCode: 200;
}

export interface ErrorResponse extends BaseResponse {
	statusCode: 400 | 401 | 403;
	message?: string;
}
