import { BaseResponse, SuccessResponse } from './base';

export type TfaRequiredResponse = SuccessResponse;
export type RemoveTfaResponse = SuccessResponse;
export type RequestEmailTfaResponse = SuccessResponse;
export type TfaCompletedResponse = SuccessResponse;
export type SignupResponse = SuccessResponse;
export type RefreshResponse = LoginResponse;

export interface LoginResponse extends BaseResponse {
	statusCode: 200;
	jwt: string;
}

export interface RequestTotpTfaResponse extends BaseResponse {
	statusCode: 200;
	qrCode: string;
	secret: string;
}
