import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { INode } from '../entities';
import FileSystemService from '../services/filesystem';
import FileSystemController from '../controller/filesystem';

@Module({
	imports: [TypeOrmModule.forFeature([INode])],
	providers: [FileSystemService],
	controllers: [FileSystemController]
})
export default class FileSystemModule {}
